QwtPowerTransform(3)

NAME
QwtPowerTransform - A transformation using pow()

SYNOPSIS

#include <qwt_transform.h>

Inherits QwtTransform.

  Public Member Functions
QwtPowerTransform (double exponent)
virtual ~QwtPowerTransform ()
Destructor.
virtual double transform (double value) const
virtual double invTransform (double value) const
virtual QwtTransform * copy () const

Detailed Description

A transformation using pow() QwtPowerTransform preserves the sign of a value. F.e. a transformation with a factor of 2 transforms a value of -3 to -9 and v.v. Thus QwtPowerTransform can be used for scales including negative values.

Constructor & Destructor Documentation

  QwtPowerTransform::QwtPowerTransform (double exponent)
Constructor

Parameters:
    exponent Exponent

Member Function Documentation

  QwtTransform * QwtPowerTransform::copy () const [virtual]

Returns:
    Clone of the transformation

Implements QwtTransform.

  double QwtPowerTransform::invTransform (double value) const [virtual]

Parameters:
    value Value to be transformed

Returns:
    Inverse exponentiation preserving the sign

Implements QwtTransform.

  double QwtPowerTransform::transform (double value) const [virtual]

Parameters:
    value Value to be transformed

Returns:
    Exponentiation preserving the sign

Implements QwtTransform.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.